Subject: [PATCH 0/3] dry-run: don't get confused by '-I' option

From: Stefano Lattarini <[email-masked]>
Date: Tue, 23 Apr 2013 11:12:45 +0200

Reference: <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13760>

Hello, and sorry for the shameful delay.

Boris Kolpackov wrote:
>
> I think if we try to support all make flavors in a combined test,
> things will get messy (my other idea was to resort to executing make if
> MAKEFLAGS contains more than one word). Seeing that the majority is
> probably using GNU make and we can do a really fast test for it, it
> would be bad to resort to some pessimistic tests (like running make)
> just so that we can support other makes.
>
This sounds sensible.  I've taken this approach of using an "optimized"
test for GNU make, and the more messy tests (in a "best-effort" fashion)
for non-GNU makes.

So, this series should fix automake bug#13760.  Testing and comments are
welcome.  I will proceed to push in a few days if there is no objection.

Thanks,
  Stefano

-*-*-*-

Stefano Lattarini (3):
  header vars: can determine whether we are running under GNU make
  dry-run: with GNU make, prefer $(MFLAGS) over $(MAKEFLAGS)
  dry-run: don't get confused by '-I' option

 lib/am/header-vars.am | 57 +++++++++++++++++++++++++++++++-------------
 t/list-of-tests.mk    |  3 ++-
 t/make-dryrun.tap     |  4 ++--
 t/make-is-gnu.sh      | 66 +++++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 111 insertions(+), 19 deletions(-)
 create mode 100755 t/make-is-gnu.sh

-- 
1.8.2.1.389.gcaa7d79